libcoap 4.3.2rc2

Data Fields
coap_option Struct Reference
Application API » PDU

`#include <coap_pdu.h>`

## Data Fields
uint16_t | key
unsigned int | length

## Detailed Description

Deprecated:
  Use coap_optlist_t instead.

Structures for more convenient handling of options. (To be used with ordered coap_list_t.) The option's data will be added to the end of the coap_option structure (see macro COAP_OPTION_DATA).

Definition at line 273 of file coap_pdu.h.

## Field Documentation

## ◆ key

uint16_t coap_option::key

Definition at line 274 of file coap_pdu.h.

## ◆ length

unsigned int coap_option::length

Definition at line 275 of file coap_pdu.h.

The documentation for this struct was generated from the following file:

- coap_pdu.h